Package weka.core.matrix

# Class ExponentialFormat

java.lang.Object
java.text.Format
java.text.NumberFormat
java.text.DecimalFormat
weka.core.matrix.ExponentialFormat

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `RevisionHandler`

public class ExponentialFormat extends DecimalFormat implements RevisionHandler

Version:
  $Revision: 1.4 $
Author:
  Yong Wang
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.text.NumberFormat

`NumberFormat.Field, NumberFormat.Style`

## Field Summary

### Fields inherited from class java.text.NumberFormat

`FRACTION_FIELD, INTEGER_FIELD`

## Constructor Summary

Constructors
Constructor
Description
`ExponentialFormat()`
`ExponentialFormat(int digits)`
`ExponentialFormat(int digits, boolean trailing)`
`ExponentialFormat(int digits, int exp, boolean sign, boolean trailing)`

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`format(double number, StringBuffer toAppendTo, FieldPosition pos)`
`String`
`getRevision()`
Returns the revision string.
`int`
`width()`

### Methods inherited from class java.text.DecimalFormat

`applyLocalizedPattern, applyPattern, clone, equals, format, format, formatToCharacterIterator, getCurrency, getDecimalFormatSymbols, getGroupingSize, getMaximumFractionDigits, getMaximumIntegerDigits, getMinimumFractionDigits, getMinimumIntegerDigits, getMultiplier, getNegativePrefix, getNegativeSuffix, getPositivePrefix, getPositiveSuffix, getRoundingMode, hashCode, isDecimalSeparatorAlwaysShown, isParseBigDecimal, parse, setCurrency, setDecimalFormatSymbols, setDecimalSeparatorAlwaysShown, setGroupingSize, setGroupingUsed, setMaximumFractionDigits, setMaximumIntegerDigits, setMinimumFractionDigits, setMinimumIntegerDigits, setMultiplier, setNegativePrefix, setNegativeSuffix, setParseBigDecimal, setPositivePrefix, setPositiveSuffix, setRoundingMode, toLocalizedPattern, toPattern`

### Methods inherited from class java.text.NumberFormat

`format, format, getAvailableLocales, getCompactNumberInstance, getCompactNumberInstance, getCurrencyInstance, getCurrencyInstance, getInstance, getInstance, getIntegerInstance, getIntegerInstance, getNumberInstance, getNumberInstance, getPercentInstance, getPercentInstance, isGroupingUsed, isParseIntegerOnly, parse, parseObject, setParseIntegerOnly`

### Methods inherited from class java.text.Format

`format, parseObject`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExponentialFormat

public ExponentialFormat()

### ExponentialFormat

public ExponentialFormat(int digits)

### ExponentialFormat

public ExponentialFormat(int digits, boolean trailing)

### ExponentialFormat

public ExponentialFormat(int digits, int exp, boolean sign, boolean trailing)

## Method Details

### width

public int width()

### format

public StringBuffer format(double number, StringBuffer toAppendTo, FieldPosition pos)

Overrides:
  `format` in class `DecimalFormat`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision